apeman-ui-contrib-angular-tabbing
======

[![Build Status][my_travis_badge_url]][my_travis_url]
[![Code Climate][my_codeclimate_badge_url]][my_codeclimate_url]
[![Code Coverage][my_codeclimate_coverage_badge_url]][my_codeclimate_url]
[![npm version][my_npm_budge_url]][my_npm_url]
[![bower version][my_bower_badge_url]][my_repo_url]

apeman ui module for angular to work with tabs.


Demo
-------

[Demo of apeman-ui-contrib-angular-tabbing](http://apeman-repo.github.io/apeman-ui-contrib-angular-tabbing/demo/)


Installation
-------

Install module via [npm][npm_url]

```bash
$ npm install apeman-ui-contrib-angular-tabbing --save
```

Generating UI Files
-------------------

Define `$ui` property in your Apemanfile with "apeman-ui-contrib-angular-tabbing" package.

```javascript
/**
 * This is example Apemanfile to use "apeman-ui-contrib-angular-tabbing".
 */

"use strict";

module.exports = {
    $pkg: {/*...*/},
    $ui: {
        // Define your own ui.
        "my-ui-01": {
            // UI generation config for each path.
            "assets/public/my_ui_components": [
                    require("apeman-ui-contrib-angular-tabbing")({

                    })
            ]
        }
    }
};
```

Then, generate ui assets via [apeman ui][apeman_ui_doc_url].

```bash
# Generate ui from CLI.
$ apeman ui "my-ui-01"
```

Options
-------

| Name | Type | Description |
| ---- | ---- | ----------- |
|  | String |  |


Using UI Files
--------------

```javascript
/**
* This is example to use "apeman-ui-contrib-angular-tabbing".
 */

(function () {
    "use strict";

})();
```

Documents
-------

+ [apTabBar](assets/docs/apeman-ui-contrib-angular-tabbing/directive/apTabBar.md)
+ [apTabbingTmplConst](assets/docs/apeman-ui-contrib-angular-tabbing/object/apTabbingTmplConst.md)
+ [apTab](assets/docs/apeman-ui-contrib-angular-tabbing/service/apTab.md)
+ [apTabSearch](assets/docs/apeman-ui-contrib-angular-tabbing/service/apTabSearch.md)
+ [ApTab](assets/docs/apeman-ui-contrib-angular-tabbing/type/ApTab.md)


License
-------

This software is released under the [MIT License][my_license_url].


Links
-------

+ [apeman][apeman_url]


[npm_url]: https://www.npmjs.com/
[apeman_url]: https://github.com/apeman-repo/apeman
[apeman_ui_doc_url]: https://github.com/apeman-repo/apeman#ui
[my_repo_url]: https://github.com/apeman-repo/apeman-ui-contrib-angular-tabbing
[my_travis_url]: http://travis-ci.org/apeman-repo/apeman-ui-contrib-angular-tabbing
[my_bower_badge_url]: https://img.shields.io/bower/v/apeman-ui-contrib-angular-tabbing.svg?style=flat
[my_travis_badge_url]: http://img.shields.io/travis/apeman-repo/apeman-ui-contrib-angular-tabbing.svg?style=flat
[my_license_url]: https://github.com/apeman-repo/apeman-ui-contrib-angular-tabbing/blob/master/LICENSE
[my_codeclimate_url]: http://codeclimate.com/github/apeman-repo/apeman-ui-contrib-angular-tabbing
[my_codeclimate_badge_url]: http://img.shields.io/codeclimate/github/apeman-repo/apeman-ui-contrib-angular-tabbing.svg?style=flat
[my_codeclimate_coverage_badge_url]: http://img.shields.io/codeclimate/coverage/github/apeman-repo/apeman-ui-contrib-angular-tabbing.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apeman-ui-contrib-angular-tabbing
[my_npm_budge_url]: http://img.shields.io/npm/v/apeman-ui-contrib-angular-tabbing.svg?style=flat
[coz_url]: http://okunishinishi.github.io/node-coz/apiguide


