(function (ng) {

    /**
     * @ngdoc service
     * @module apeman-ui-contrib-angular-tabbing
     * @name apTabSearch
     * @description Reflect tab state with location search.
     */

    "use strict";

    ng
        .module('apeman-ui-contrib-angular-tabbing')
        .service('apTabSearch', function ApViewTabSearch(apObjectNest,
                                                         apLocationSearch) {

            var s = this;

            /**
             * @ngdoc method
             * @name apTabSearch#setSelected
             * @param {string} tabId - Id for tabber.
             * @param {string} selected - Selected tab name.
             */
            s.setSelected = function setSelected(tabId, selected) {
                apLocationSearch.set(tabId, selected);
            };


            /**
             * @ngdoc method
             * @name apTabSearch#getSelected
             * @param {string} tabId - Id for tabber.
             * @returns {string}
             */
            s.getSelected = function getSelected(tabId) {
                return apLocationSearch.get(tabId);
            }


        });

})(angular);









