/**
 * Test for apeman-ui-contrib-angular-tabbing.
 * Runs with karma.
 */

"use strict";

var mock = angular.mock;

describe('apeman-ui-contrib-angular-tabbing', function () {

    var $compile,
        $rootScope,
        ApTab,
        apTab;

    beforeEach(mock.module('apeman-ui-contrib-angular-tabbing'));

    beforeEach(mock.inject(function (_$compile_,
                                     _$rootScope_,
                                     _ApTab_,
                                     _apTab_) {
        $compile = _$compile_;
        $rootScope = _$rootScope_;
        ApTab = _ApTab_;
        apTab = _apTab_;
    }));

    describe('ApTab', function () {

        it('Handle a tab.', function () {
            var tab = new ApTab({});
            expect(tab).toBeDefined();
            expect(tab.tabId).toBeDefined();
            tab.items = [
                {
                    'key': 'FOO'
                },
                {
                    'key': 'BAR'
                }
            ];
            tab.select('FOO');
            expect(tab._selected).toEqual('FOO');
            tab.select('BAR');
            expect(tab._selected).toEqual('BAR');
            tab.deselect();
            expect(tab._selected).toEqual(null);
        });
    });

    describe('apTabBar', function () {

        it('Do render ap view.', function () {
            var elm = $compile("<ap-tab-bar></ap-tab-bar>")($rootScope);
            $rootScope.$digest();

            expect(jQuery(elm).hasClass('ap-tab-bar')).toEqual(true);

        });
    });

    describe('apTab', function () {
        it('Do create ap tab.', function () {
            var tab = apTab.create({
                items: [
                    {key: 'foo'}
                ]
            });
            expect(tab).toBeDefined();
            expect(tab.items[0].key).toEqual('foo');
        });
    });
});